<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <title>Document</title>
    <style>
        main {
            margin: 0 auto;
            display: flex;
            flex-direction: column;
            width: fit-content;
            border: 3px orangered solid;
        }

        main div {
            display: flex;
            justify-content: space-between;
            padding: 20px;
        }

        main div p {
            margin-right: 20px;
        }

        main button {
            width: fit-content;
            align-self: center;
            background-color: cornflowerblue;
            color: white;
            font-weight: bolder;
            border: 2px rgb(92, 116, 160) solid;
        }

        .respuesta {
            margin: 10px auto;
            width: 500px;
            min-height: 150px;
            background-color: darkorange;
            border: 3px orangered solid;
            color: white;
            font-weight: 1000;
            font-size: 4em;
            display: flex;
            flex-direction: column;
            justify-content: center;
            text-align: center;
        }
    </style>
</head>

<body>
    <main>
        <div>
            <p>Primer Numero: </p> <input type="number" class="numero1">
        </div>
        <div>
            <p>Segundo Numero: </p><input type="number" class="numero2">
        </div>
        <div>
            <button class="sumar">Sumar</button> <button class="restar">Restar</button> <button
                class="multiplicar">Multiplicar</button> <button class="dividir">Dividir</button> <button
                class="limpiar">Limpiar</button>
        </div>

    </main>
    <article>
        <p class="respuesta"></p>
    </article>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('.sumar').click(function () {
            $('.respuesta').html(parseFloat($('.numero1').val()) + parseFloat($('.numero2').val()));
        });
        $('.restar').click(function () {
            $('.respuesta').html(parseFloat($('.numero1').val()) - parseFloat($('.numero2').val()));
        });
        $('.multiplicar').click(function () {
            $('.respuesta').html(parseFloat($('.numero1').val()) * parseFloat($('.numero2').val()));
        });
        $('.dividir').click(function () {
            $('.respuesta').html(parseFloat($('.numero1').val()) / parseFloat($('.numero2').val()));
        });
        $('.limpiar').click(function () {
            $('.respuesta').html('');
        });
    </script>
</body>

</html>